Knowledge Article 119906

Return
  • Title

    How to Import the AppAssure 5 PowerShell Module
  • Description

    This article serves as a “How-To” guide for users seeking to use the Windows PowerShell to manage an AppAssure 5 core server.

    The PowerShell commands are activated by importing the AppAssure 5 PowerShell Module. The following considerations must be taken into account prior to importing the PowerShell Module:

    • The AppAssure 5 core server must be running version 5.3.1 or higher.
    • The Windows PowerShell version must be 2.0 or higher (3.0 is preferred).
    • The AppAssure PowerShell module does not work on agents (core only).
    • The AppAssure PowerShell module should not be imported on any other systems.
  • Resolution

    The following steps guide users through importing the AppAssure 5 PowerShell Module.

    1. Launch the Windows PowerShell from the Taskbar.
    2. Run the following command.
     Import-Module “AppAssurePowerShellModule”

    Alternatively, the AppAssurePowerShellModule can be automatically imported by right-clicking the PowerShell icon on the Taskbar and selecting Import system modules.

     

    For more information on the different functions of the PowerShell module, click here.

Product(s):
AppAssure
5.3.7, 5.3.6, 5.3.5, 5.3.4, 5.3.3, 5.3.2, 5.3.1, 5.3, 5.2, 5.1, 5.0

Topic(s):
Technical Solutions

Article History:
Created on: 2/3/2014
Last Update on: 2/22/2014

Feedback submitted.

Did this article help?

[Select Rating]

Thank you for your rating!

Close

Request or Create a KB Article »